- updated to 0.10.1 (note: new soname, changed metainfo dir) auto/th/AppStream-0.10.1-1
authorJakub Bogusz <qboosh@pld-linux.org>
Wed, 5 Oct 2016 15:36:16 +0000 (17:36 +0200)
committerJakub Bogusz <qboosh@pld-linux.org>
Wed, 5 Oct 2016 15:36:16 +0000 (17:36 +0200)
- added libstemmer patch (adjust to libstemmer include dir in PLD)

AppStream-libstemmer.patch [new file with mode: 0644]
AppStream.spec

diff --git a/AppStream-libstemmer.patch b/AppStream-libstemmer.patch
new file mode 100644 (file)
index 0000000..9e72ca6
--- /dev/null
@@ -0,0 +1,10 @@
+--- AppStream-0.10.1/src/CMakeLists.txt.orig   2016-09-16 13:16:16.000000000 +0200
++++ AppStream-0.10.1/src/CMakeLists.txt        2016-10-05 17:15:06.617983378 +0200
+@@ -101,6 +101,7 @@
+                   ${GIO2_INCLUDE_DIRS}
+                   ${LIBXML2_INCLUDE_DIR}
+                   ${YAML_INCLUDE_DIR}
++                  /usr/include/libstemmer
+ )
+ add_definitions("-DAS_COMPILATION")
index dac16d6..a98c0c5 100644 (file)
@@ -8,12 +8,13 @@
 Summary:       AppStream-Core library and tools
 Summary(pl.UTF-8):     Biblioteka i narzędzia AppStream-Core
 Name:          AppStream
-Version:       0.9.8
+Version:       0.10.1
 Release:       1
 License:       LGPL v2.1+
 Group:         Libraries
 Source0:       https://www.freedesktop.org/software/appstream/releases/%{name}-%{version}.tar.xz
-# Source0-md5: ef59eace0af140a03e0e5807d6057b1f
+# Source0-md5: a07a54f47a8bc5fafb7d87e86888e019
+Patch0:                %{name}-libstemmer.patch
 URL:           https://www.freedesktop.org/wiki/Distributions/AppStream/
 BuildRequires: cmake >= 3.2.0
 BuildRequires: gettext-tools
@@ -21,21 +22,23 @@ BuildRequires:      glib2-devel >= 1:2.46
 BuildRequires: gobject-introspection-devel
 BuildRequires: intltool
 BuildRequires: libstdc++-devel >= 6:4.7
+BuildRequires: libstemmer-devel
 BuildRequires: libxml2-devel >= 2.0
 BuildRequires: pkgconfig
 BuildRequires: protobuf-devel
 BuildRequires: tar >= 1:1.22
 %{?with_vala:BuildRequires:    vala}
+BuildRequires: xmlto
 BuildRequires: xz
 BuildRequires: yaml-devel >= 0.1
 %if %{with qt}
 BuildRequires: Qt5Core-devel >= 5.0
+BuildRequires: qt5-build >= 5.0
 BuildRequires: qt5-qmake >= 5.0
 %endif
 %if %{with apidocs}
 BuildRequires: gtk-doc
 BuildRequires: publican
-BuildRequires: xmlto
 %endif
 Requires:      glib2 >= 1:2.46
 Obsoletes:     PackageKit-plugin-appstream
@@ -131,6 +134,7 @@ API języka Vala do biblioteki AppStream.
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 install -d build
@@ -168,11 +172,11 @@ rm -rf $RPM_BUILD_ROOT
 %doc AUTHORS MAINTAINERS NEWS README.md RELEASE
 %attr(755,root,root) %{_bindir}/appstreamcli
 %attr(755,root,root) %{_libdir}/libappstream.so.*.*.*
-%attr(755,root,root) %ghost %{_libdir}/libappstream.so.3
+%attr(755,root,root) %ghost %{_libdir}/libappstream.so.4
 %{_libdir}/girepository-1.0/AppStream-1.0.typelib
 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/appstream.conf
-%dir %{_datadir}/app-info
-%{_datadir}/app-info/categories.xml
+%dir %{_datadir}/metainfo
+%{_datadir}/metainfo/org.freedesktop.appstream.cli.metainfo.xml
 %if %{with apt}
 /etc/apt/apt.conf.d/50appstream
 %endif
This page took 0.551077 seconds and 4 git commands to generate.